### Method

# Ide Application foreach_workbench

#### Declaration

    void
    ide_application_foreach_workbench (
      IdeApplication* self,
      GFunc callback,
      gpointer user_data
    )

#### Description

Calls `callback` for each of the registered workbenches.

Available since: | 3.32

#### Parameters

`callback` | `GFunc`
| A `GFunc` callback.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.